Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibems.tibemsd.security
Class ConnectionInfoCallback

    java.lang.Object
      com.tibco.tibems.tibemsd.security.ConnectionInfoCallback

All Implemented Interfaces:
  javax.security.auth.callback.Callback

    public class ConnectionInfoCallback

extends java.lang.Object
implements javax.security.auth.callback.Callback

Nested Class Summary
`static class` | `ConnectionInfoCallback.Type`

Constructor Summary
`ConnectionInfoCallback()`

Method Summary
`java.net.InetAddress` | `getInetAddress()`
`ConnectionInfoCallback.Type` | `getType()`
`byte[]` | `getX509Data()`
`boolean` | `isSSL()`
`void` | `setInetAddress(java.net.InetAddress inetAddress)`
`void` | `setSSL(boolean ssl)`
`void` | `setType(ConnectionInfoCallback.Type type)`
`void` | `setX509Data(byte[] x509)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionInfoCallback

    public ConnectionInfoCallback()

Method Detail

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Returns:
    the inetAddress of the remote end of the TCP connection for this client. This may or may not be the IP address of the client's network interface. NATs and other routing elements in the network may affect its value. Calling getHostName() or any of its variants may be expensive, as a reverse DNS lookup will be required.

### setInetAddress

    public void setInetAddress(java.net.InetAddress inetAddress)

  Parameters:
    `inetAddress` - the inetAddress to set

### isSSL

    public boolean isSSL()

  Returns:
    true if the connection is using SSL

### setSSL

    public void setSSL(boolean ssl)

  Parameters:
    `ssl` - the ssl value to set

### getX509Data

    public byte[] getX509Data()

  Returns:
    the x509 certificate of the remote end of the SSL connection, if one is available. This will only be set if isSSL() returns true, the remote client or server has provided a certificate, and that certificate has met the validation requirements set in this server's configuration. The bytes returned are suitable as input for the java.security.cert.Certificate.generateCertificate() method.

### setX509Data

    public void setX509Data(byte[] x509)

  Parameters:
    `x509` - the x509 certificate to set

### getType

    public ConnectionInfoCallback.Type getType()

  Returns:
    the type of the connection, as defined in ConnectionInfoCallback.Type above.

### setType

    public void setType(ConnectionInfoCallback.Type type)

  Parameters:
    `type` - the type to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved